/*
 * Copyright 2013 Kerio Technologies s.r.o. All rights reserved.
 */
package com.kerio.im.common;

import java.util.concurrent.ThreadFactory;

/**
 *
 * @author tskoda
 */
public class Threads {

    public static ThreadFactory create(final String pattern) {

        return new ThreadFactory() {

            private int counter = 1;

            @Override
            public Thread newThread(Runnable r) {
                Thread thread = new Thread(r, String.format(pattern, counter));
                counter += 1;
                return thread;
            }
        };

    }
}
