/*
 * Copyright 2013 Kerio Technologies s.r.o. All rights reserved.
 */
package com.kerio.im.core.api;

import com.kerio.im.core.api.service.AccessPolicyService;
import com.kerio.im.core.api.service.AuthService;
import com.kerio.im.core.api.service.ConfigurationService;
import com.kerio.im.core.api.service.ErrorService;
import com.kerio.im.core.api.service.GroupService;
import com.kerio.im.core.api.service.MessageService;
import com.kerio.im.core.api.service.ServiceBus;
import com.kerio.im.core.api.service.ThreadService;
import com.kerio.im.core.api.service.VCardService;
import com.kerio.im.core.api.service.ConversationService;
import com.kerio.im.core.api.service.SecurityService;
/**
 *
 * @author tskoda
 */
public interface CoreService {
    
    ConfigurationService configuration();
    AuthService auth();
    MessageService message();
    ServiceBus bus();
    ErrorService errors();
    VCardService vcards();
    ThreadService threads();
    AccessPolicyService accessPolicy();
    ConversationService conversations();
    GroupService groups();
    SecurityService securityService();
}
