/*
 * Copyright 2015 Kerio Technologies s.r.o. All rights reserved
 */
package com.kerio.im.rpcserver;

import com.fasterxml.jackson.annotation.JsonProperty;
import java.util.Map;

/**
 *
 * @author tskoda
 */
public class RequestEnvelope {
    
    @JsonProperty(value = "jsonrpc")
    private String jsonrpc;
    @JsonProperty(value = "id")
    private int id;
    @JsonProperty(value = "method")
    private String method;
    @JsonProperty(value = "params")
    private Map<String, Object> params;

    public RequestEnvelope() {
    }

    public String getJsonrpc() {
        return jsonrpc;
    }

    public void setJsonrpc(String jsonrpc) {
        this.jsonrpc = jsonrpc;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getMethod() {
        return method;
    }

    public void setMethod(String method) {
        this.method = method;
    }

    public Map<String, Object> getParams() {
        return params;
    }

    public void setParams(Map<String, Object> params) {
        this.params = params;
    }
    
}
