/*
 * Copyright 2014 Kerio Technologies s.r.o. All rights reserved
 */
package com.kerio.im.tigase.bridge;

import com.kerio.im.external.IMContactID;
import com.kerio.im.rpcserver.ISubscription;

/**
 *
 * @author vbystricky
 */
public class IMSubscription implements ISubscription {

    private final IMContactID subscriber;
    private final java.lang.Class<?> subscribtionType;

    public IMSubscription(IMContactID subscriber, Class<?> subscribtionType) {
        this.subscriber = subscriber;
        this.subscribtionType = subscribtionType;
    }

    @Override
    public Class<?> getType() {
        return subscribtionType;
    }

    @Override
    public IMContactID getSubscriber() {
        return subscriber;
    }
}
