/*
 * Copyright 2013 Kerio Technologies s.r.o. All rights reserved.
 */
package com.kerio.im.tigase.configuration.task;

import com.kerio.im.common.Task;
import com.kerio.im.core.api.event.ShutdownEvent;
import com.kerio.im.core.api.service.ServiceBus;
import com.kerio.im.core.api.service.ServiceBus.EventListener;

/**
 *
 * @author tskoda
 */
public class SubscribeToShutdownEvent implements Task<ServiceBus.EventListener<ShutdownEvent>> {
    
    private final ServiceBus serviceBus;

    public SubscribeToShutdownEvent(ServiceBus serviceBus) {
        this.serviceBus = serviceBus;
    }
    
    @Override
    public void run(EventListener<ShutdownEvent> listener) {
        serviceBus.subscribe(ShutdownEvent.class, listener);
    }
    
}
