/*
 * Copyright 2014 Kerio Technologies s.r.o. All rights reserved
 */
package com.kerio.im.tigase.plugin;

import tigase.xmpp.JID;
import tigase.xmpp.XMPPResourceConnection;

/**
 *
 * @author jzacek
 */
public class FakeResourceConnection extends XMPPResourceConnection {

    private final String localDomain;

    public FakeResourceConnection(String domain) {
        super(null, null, null, null);
        this.localDomain = domain;
    }

    @Override
    public boolean isLocalDomain(String outDomain, boolean includeComponents) {
        return localDomain.equals(outDomain);
    }

    @Override
    public JID getSMComponentId() {
        return JID.jidInstanceNS("ses-man@localhost");
    }
}
