/*
 * Copyright 2013 Kerio Technologies s.r.o. All rights reserved.
 */
package com.kerio.im.xmpp.api.event;

import com.kerio.im.core.api.service.ServiceBus;
import com.kerio.im.xmpp.api.XmppService;

/**
 *
 * @author tskoda
 */
public class XmppServiceStarted implements ServiceBus.Event {
    
    private final XmppService service;

    public XmppServiceStarted(XmppService service) {
        this.service = service;
    }

    public XmppService getService() {
        return service;
    }

    @Override
    public String toString() {
        return "XmppServiceStarted";
    }
    
}
