/*
 * Copyright 2013 Kerio Technologies s.r.o. All rights reserved.
 */
package com.kerio.im.service.task;

import com.kerio.im.common.CommandLineParser;
import com.kerio.im.common.Task;
import java.util.Map;

/**
 *
 * @author tskoda
 */
public class ParseCmd implements Task<Map<String, String>> {

    private final String[] args;

    public ParseCmd(String[] args) {
        this.args = args;
    }

    @Override
    public void run(Map<String, String> parameter) {
        //LOG.info("Parsing command line arguments");
        parameter.putAll(CommandLineParser.toProperties(args));
    }
}
