/*
 * Copyright 2013 Kerio Technologies s.r.o. All rights reserved.
 */
package com.kerio.im.bean;

/**
 *
 * @author tskoda
 */
public interface VCard {
    
    VCard raw(String element, String value);

    VCard put(String element, String value);

    VCard put(String element);
    
    VCard photo(String element, String value, String sha1);
  
    String photoSHA1();

    interface VCardFactory<T extends VCard> {

        T instance();
    }
}
