/*
 * Copyright 2013 Kerio Technologies s.r.o. All rights reserved.
 */
package com.kerio.im.common;

/**
 *
 * @author tskoda
 */
public class Key<T> {
    
    //TODO rename it to name
    public final String key;

    public Key(String key) {
        this.key = key;
    }

    @Override
    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final Key<T> other = (Key<T>) obj;
        if ((this.key == null) ? (other.key != null) : !this.key.equals(other.key)) {
            return false;
        }
        return true;
    }

    @Override
    public int hashCode() {
        int hash = 7;
        return hash;
    }

    @Override
    public String toString() {
        return key;
    }
    
    public static <T> Key<T> with(String key) {
        return new Key<T>(key);
    }
    
}
