/*
 * Copyright 2013 Kerio Technologies s.r.o. All rights reserved.
 */
package com.kerio.im.core.api.service;

import com.kerio.im.common.Key;
import com.kerio.im.common.TypedProperties;

/**
 * Serves as a store for global configuration values.
 *
 * @author tskoda
 */
public interface ConfigurationService {

    <T> T get(Key<T> key);
    <T> T get(Key<T> key, T defValue);
    TypedProperties all();
}
