/*
 * Copyright 2013 Kerio Technologies s.r.o. All rights reserved.
 */
package com.kerio.im.core.api.service;

import com.kerio.im.bean.User;
import com.kerio.im.bean.VCard;

/**
 *
 * @author tskoda
 */
public interface VCardService<T extends VCard> {

    /**
     * If vcard are managed by server. If false, users have full control over
     * vcards.
     *
     * @return
     */
    boolean enabled();
    
    T get(String login, String domain);
}
