/*
 * Copyright 2013 Kerio Technologies s.r.o. All rights reserved.
 */
package com.kerio.im.core.logging;

import com.kerio.im.common.Key;
import java.io.File;
import java.io.OutputStream;
import java.util.logging.Level;

/**
 * @author tskoda
 */
public class LogKeys {

    public static final Key<Boolean> DEBUG = Key.with("log.debug");
    //engine log configuration
    public static final Key<String> ENGINE_PIPE = Key.with("log.engine.pipe");
    public static final Key<Level> ENGINE_LEVEL = Key.with("log.engine.level");
    public static final Key<Boolean> ENGINE_SIMPLE = Key.with("log.engine.simple");
    public static final Key<OutputStream> ENGINE_OUTPUT = Key.with("log.engine.output");
    //file log configuration
    public static final Key<File> FILE = Key.with("log.file.name");  //optional
    public static final Key<Level> FILE_LEVEL = Key.with("log.file.level");
    //stanza log configuration
    public static final Key<Boolean> STANZA_ENABLED = Key.with("log.stanza");
    public static final Key<File> STANZA = Key.with("log.stanza.file"); //optional
    public static final Key<Level> STANZA_LEVEL = Key.with("log.stanza.level");
}
