/*
 * Copyright 2013 Kerio Technologies s.r.o. All rights reserved.
 */
package com.kerio.im.core.service;

import java.net.InetAddress;
import java.net.UnknownHostException;

/**
 *
 * @author tskoda
 */
public class FilterLocalhost extends FilterHost {
    
    private static InetAddress getLocalhostAddress() {
        //fix for java 6
        try {
            return InetAddress.getByName("localhost");
        } catch (UnknownHostException e) {
            return null;
        }
    }
    
    public FilterLocalhost() {
        super(getLocalhostAddress());
    }
}
