/*
 * Copyright 2013 Kerio Technologies s.r.o. All rights reserved.
 */
package com.kerio.im.im;

import com.kerio.im.common.RegisterAs;
import com.kerio.im.common.TypedProperties;
import com.kerio.im.external.ImService;
import com.kerio.im.external.ImServiceFactory;
import java.util.Map;

/**
 *
 * @author oleopold
 */
@RegisterAs(interfaces=ImServiceFactoryImpl.class)
public class ImServiceFactoryImpl implements ImServiceFactory {

    public ImServiceFactoryImpl() {
    }

    @Override
    public ImService getService(TypedProperties global, Map<String, String> specific) {
        return new ImServiceImpl(global, specific);
    }
    
}
