/*
 * Copyright 2014 Kerio Technologies s.r.o. All rights reserved
 */
package com.kerio.im.tigase.bridge.xmpp;

import tigase.util.TigaseStringprepException;
import tigase.xmpp.JID;

/**
 *
 * @author vbystricky
 */
public interface IXmppConnection {

    public boolean open() throws TigaseStringprepException, InterruptedException;

    public boolean setPresence(XmppPresence presence, String text) throws TigaseStringprepException;

    public boolean sendMessage(JID receiver, String text) throws TigaseStringprepException;

    public void close();

    public String getConnectionID();

    public JID getUserJID();

    public String getFullUserName();

    public String getUser();

    public String getDomain();

    public String getResource();
}
