/*
 * Copyright 2013 Kerio Technologies s.r.o. All rights reserved.
 */
package com.kerio.im.tigase.user;

import com.kerio.im.bean.User;
import org.hamcrest.BaseMatcher;
import org.hamcrest.Description;

/**
 *
 * @author development
 */
class AnyExcept extends BaseMatcher<User> {
    private final User exception;

    AnyExcept(User exception) {
        this.exception = exception;
    }

    @Override
    public boolean matches(Object item) {
        User user = (User) item;
        return !exception.equals(user);
    }

    @Override
    public void describeTo(Description description) {
        description.appendText("All except");
    }
    
}
