/*
 * Copyright 2013 Kerio Technologies s.r.o. All rights reserved.
 */
package com.kerio.im.xmpp.api;

import com.kerio.im.bean.Port;

/**
 *
 * @author tskoda
 */
public interface XmppPorts {
    
    /**
     * Type of port.
     */
    enum Type {
        /**
         * Port for client connections.
         */
        CLIENT,
        /**
         * Port for server to server connections.
         */
        SERVER
    }
    
    void start(Type type, Port port);
    void stop(Type type, Port port);
    
    
}
